org.apache.olingo.odata2.api.annotation.edm

## Annotation Type EdmProperty

-     @Retention(value=RUNTIME)
       @Target(value=FIELD)
      public @interface EdmProperty

  Annotation for definition of an EdmProperty for an EdmEntityType or EdmComplexType which contains the EdmProperty as a field.

  The EdmProperty annotation has to be used on a field within a EdmEntityType or EdmComplexType annotated class.

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `EdmFacets` | `facets` Define the EdmFacets for the Property in the EDM.
    `String` | `name` Define the name for the Property.
    `EdmType` | `type` Define the EdmSimpleType which is used for the Property in the EDM.

- - ### Element Detail

    - #### type

          public abstract EdmType type

      Define the EdmSimpleType which is used for the Property in the EDM.

      If not explicit set a default value has to be generated by the EDM provider (which should be compatible to the java type of the annotated field).

      If the property is a simple property a EdmSimpleType must be used which can be mapped to the java type of the annotated field. Which mappings are available depends on the used implementation.

      If the property is a EdmComplexType (and no EdmSimpleType) the type `COMPLEX` must be used.

      Returns:
        type for the Property as used in the EDM
      Default:
        org.apache.olingo.odata2.api.annotation.edm.EdmType.NULL

  - - #### name

          public abstract String name

      Define the name for the Property. If not set a default value has to be generated by the EDM provider.
      Returns:
        name for the Property
      Default:
        ""

  - - #### facets

          public abstract EdmFacets facets

      Define the EdmFacets for the Property in the EDM. If not set the default EdmFacet values are used (see `EdmFacets`).
      Returns:
        facets for the Property as used in the EDM
      Default:
        @org.apache.olingo.odata2.api.annotation.edm.EdmFacets

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.